# H225_StimulusControl Class Reference

`#include <h225.h>`

Inheritance diagram for H225_StimulusControl:

List of all members.

## Public Types

enum | OptionalFields { e_nonStandard, e_isText, e_h248Message }

## Public Member Functions

| H225_StimulusControl (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_NonStandardParameter | m_nonStandard
PASN_Null | m_isText
PASN_OctetString | m_h248Message

## Member Enumeration Documentation

enum H225_StimulusControl::OptionalFields

Enumerator:

  e_nonStandard |
  e_isText |
  e_h248Message |

## Constructor & Destructor Documentation

H225_StimulusControl::H225_StimulusControl | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_StimulusControl::GetDataLength | ( |  | ) | const

PBoolean H225_StimulusControl::Decode | ( | PASN_Stream & | strm | ) |

void H225_StimulusControl::Encode | ( | PASN_Stream & | strm | ) | const

void H225_StimulusControl::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_StimulusControl::Compare | ( | const PObject & | obj | ) | const

PObject* H225_StimulusControl::Clone | ( |  | ) | const

## Member Data Documentation

H225_NonStandardParameter H225_StimulusControl::m_nonStandard

PASN_Null H225_StimulusControl::m_isText

PASN_OctetString H225_StimulusControl::m_h248Message

The documentation for this class was generated from the following file:

- h225.h